@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');


* {
	font-family: 'Inter', sans-serif;
}

body {
	background-image: url("../static/background.png");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;

}

.navbar .navbar-brand {
	margin-left: 2vw;
	margin-top: 5vh;
}

.navbar .navbar-brand img {
	max-width: 30vw;
	height: auto;
}

.container {
	margin-top: 5vh;
	display: flex;
	flex-direction: column;
	align-items: center;
	margin: 0 auto;
	margin-top: 5vh;
}

.todoBox {
	display: flex;
	width: 50vw;
	padding: 15px 21px;
	justify-content: space-between;
	align-items: center;
	border-radius: 8px;
	background: var(--main-50, rgba(15, 9, 12, 0.50));
	box-shadow: 0px 64px 64px -32px rgba(41, 15, 0, 0.56);
	backdrop-filter: blur(80px);
}

#messageInput {
	width: 100%;
	height: 100%;
	background-color: transparent;
	outline: none;
	border: none;
	padding-left: 10px;
	color: rgba(255, 255, 255, 45);
	font-size: 14px;
}

#messageInput:focus~#sendButton svg path,
#messageInput:valid~#sendButton svg path {
	fill: #3c3c3c;
	stroke: white;
}

#sendButton {
	width: fit-content;
	height: 100%;
	background-color: transparent;
	outline: none;
	border: none;
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	transition: all 0.3s;
}

#sendButton svg {

	width: 1.5rem;
	height: auto;
	transition: all 0.3s;
}

#sendButton svg path {
	transition: all 0.3s;
}

#sendButton:hover svg path {
	fill: #3c3c3c;
	stroke: white;
}




.todoItem {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 30px;
	height: 70vh;
	overflow-y: auto;
	overflow-x: hidden;
	scrollbar-color: #BD3944 #191919;

}

.todoItem::-webkit-scrollbar {
	width: 6px;
}

.todoItem::-webkit-scrollbar-thumb {
	background-color: #BD3944;
	transition: 0.5s;
}

.todoItem::-webkit-scrollbar-track {
	background-color: #BD3944;
}

.todoItem .todoItemWrapper {
	display: flex;
	width: 80vw;
	height: auto;
	padding: 11px 21px;
	justify-content: space-between;
	margin-top: 10px;
	border-radius: 8px;
	background: var(--main-50, rgba(15, 9, 12, 0.50));
	backdrop-filter: blur(80px);
}

.todoItem .todoItemWrapper .todoItemText {
	color: #FFF;
	font-size: 14px;
}

.todoItem .todoItemWrapper svg {
	height: 1.5rem;
	transition: all 0.3s;
}

.todoItem .todoItemWrapper svg:hover {
	color: #FFF;
	text-decoration: none;
	cursor: pointer;
}

.todoItem .todoItemWrapper #doneButton {
	background-color: transparent;
	border: none;
	outline: none;

}